// isip include files
//
#include <Algorithm.h>
#include <Energy.h>

// main program starts here:
//  this example demonstrates the use of a compute method
//
int main(int argc, const char** argv) {

  // declare an Energy object
  //
  Energy energy;

  // declare the input and output vectors
  //
  VectorFloat input(L"1, 2, 1, 3, 4, 2, 3, 1");
  VectorFloat output;
  
  // set the algorithm implementation
  //     
  energy.setAlgorithm(Energy::SUM);
  energy.setImplementation(Energy::IDENTITY);
  
  // compute the energy
  //
  energy.compute(output, input);

  // output the input and output to the console
  //
  input.debug(L"input signal:");
  output.debug(L"energy:");
  
  // exit gracefully
  //
  Integral::exit();
}
